<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();

$set['title']='Редактирование';
include_once '../sys/inc/thead.php';
title();
aut();

if (!isset($_GET['id']) && !is_numeric($_GET['id'])){header("Location: index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `stock` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0)==0){header("Location: index.php?".SID);exit;}
$post=mysql_fetch_array(mysql_query("select * from `stock` where `id`='".intval($_GET['id'])."';"));

if (($user['stock'] ==0))
{
header("Location:index.php?".SID);exit;
}








if (isset($_GET['edit']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))
{
$msg=mysql_real_escape_string($_POST['msg']);
$name=mysql_real_escape_string($_POST['name']);

if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>3000)$err='Длина текста превышает предел в 3000 символа';

$name = htmlspecialchars(trim($_POST['name']));
$msg = htmlspecialchars(trim($_POST['msg']));

if(isset($_POST['post']))
{
if($_POST['post'] == 1) $post='1';
else $post='0';
}
else $post='0';
if(isset($_POST['write']))
{
if($_POST['write'] == 1)
$write='1';
else $write='0'; }
else $write='0';


if (!isset($err))
{
mysql_query("UPDATE `stock` SET `name` = '$name', `msg` = '$msg', `write` = '$write', `post` = '$post' WHERE `id`='".intval($_GET['id'])."'");
echo"".mysql_error()."";
msg('акция изменена');
}
}



if (isset($_GET['del']))
{

mysql_query("DELETE FROM `stock_komm` WHERE `id_stock` = '".$post['id']."' LIMIT 1");



mysql_query("DELETE FROM `stock` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
header("Location: index.php?".SID);exit;
echo"<div class='foot'>\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';
exit();
}

err();

$post=mysql_fetch_array(mysql_query("select * from `stock` where `id`='".intval($_GET['id'])."';"));



echo "<form method='post' action='?id=".intval($_GET['id'])."&amp;edit'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"$post[name]\" /><br />\n";

echo "Содержание: <br />";
echo "<textarea name=\"msg\">$post[msg]</textarea><br />";

echo "<label><input type=\"checkbox\" name=\"post\" value=\"1\" />Запретить комментарии</label><br />\n";

echo "<label><input type=\"checkbox\" name=\"write\" value=\"1\" />Закрыть акцию</label><br />\n";

echo "<input value=\"Применить\" type=\"submit\" />\n";
echo "</form>\n";

echo "или <a href=?id=$post[id]&del> удалить </a>\n";


echo"<div class='foot'>\n";
echo"<a href='index.php'>назад</a><br />\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';

?>